# _EEXIST
<span class="source-link">[[Source]](src/files/file.md#L34)</span>
```pony
primitive val _EEXIST
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L34)</span>


```pony
new val create()
: _EEXIST val^
```

#### Returns

* [_EEXIST](files-_EEXIST) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/files/file.md#L35)</span>


```pony
fun box apply()
: I32 val
```

#### Returns

* [I32](builtin-I32) val

---

### eq
<span class="source-link">[[Source]](src/files/file.md#L35)</span>


```pony
fun box eq(
  that: _EEXIST val)
: Bool val
```
#### Parameters

*   that: [_EEXIST](files-_EEXIST) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/file.md#L35)</span>


```pony
fun box ne(
  that: _EEXIST val)
: Bool val
```
#### Parameters

*   that: [_EEXIST](files-_EEXIST) val

#### Returns

* [Bool](builtin-Bool) val

---

